Subject: Re: [Stox] On generating RFC4575 participants list out of a MUC

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 05 Nov 2013 17:40:07 -0800

Hi Saúl!

On 10/25/13 1:38 AM, Saúl Ibarra Corretgé wrote:
> Hi all,
> 
> This is regarding the issue I mentioned at the meeting in Berlin
> to which Peter referred recently.
> 
> In 4575 there are 2 types of entities which kind of relate to 
> participants: users and endpoints. Each user contains a list of 
> endpoints. As per the RFC:
> 
> - "The <users> element is a container of <user> child elements,
> each describing a single participant in the conference."
> 
> - "By including one or more <endpoint> elements under a parent 
> <user> element, the server can provide the desired level of detail
>  (including the state, media streams, and access information) about
>  the user's devices and signaling sessions taking part in the 
> conference."
> 
> In SIP a user would be an AoR and an endpoint would be the contact
> or GRUU.
> 
> In XMPP tough, things are a bit more complicated. In the beginning
> I thought we could use the user bare JID as the <user> element and
> the occupant JID as the <endpoint>, but in practice this is not
> going to work, because the real JID is not always available in a
> MUC.
> 
> So, considering that, here is how I propose we proceed:
> 
> - <user> element entity is the occupant JID - if the real JID is 
> available, it MAY be added as a <associated-aors> child element of 
> <user> (4575, sec 5.6.2) (based on local policy) - <endpoint>
> entity is also the occupant JID
> 
> Neither user entity or endpoint entity is an xs:ID, so using it in 
> both places doesn't invalidate the document :-)
> 
> Thoughts?

Your analysis looks reasonable to me, and I think that's the best we
can do given the information that will usually be available in an XMPP
multi-user chat room.

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: Saúl Ibarra Corretgé <[email-masked]>
Date: Mon, 11 Nov 2013 17:37:49 +0100

Hi Peter!

> can do given the information that will usually be available in an XMPP

Thanks, I'll try to post an updated version of the group chat draft by the end of the week.

--
Saúl Ibarra Corretgé
AG Projects